EUWATCH-PUT-DATA(1)

NAME
euwatch-put-data - Add data points or statistics to a metric

SYNOPSIS
euwatch-put-data -m METRIC -n NAMESPACE (-v FLOAT | -s Maximum=FLOAT,Minimum=FLOAT,SampleCount=FLOAT,Sum=FLOAT) [-d KEY1=VALUE1,KEY2=VALUE2,...] [-t YYYY-MM-DDThh:mm:ssZ] [-u UNIT] [--show-empty-fields] [--region USER@REGION | -U URL] [-I KEY_ID] [-S KEY] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Add data points or statistics to a metric

  optional arguments:

-m METRIC, --metric-name METRIC
    name of the metric to add data points to (required)

-n NAMESPACE, --namespace NAMESPACE
    the metric's namespace (required)

-v FLOAT, --value FLOAT
    data value for the metric

-s Maximum=FLOAT,Minimum=FLOAT,SampleCount=FLOAT,Sum=FLOAT, --statistic-values Maximum=FLOAT,Minimum=FLOAT,SampleCount=FLOAT,Sum=FLOAT, --statisticValues Maximum=FLOAT,Minimum=FLOAT,SampleCount=FLOAT,Sum=FLOAT
    statistic values for the metric. Values for Maximum, Minimum, SampleCount, and Sum are all required.

-d KEY1=VALUE1,KEY2=VALUE2,..., --dimensions KEY1=VALUE1,KEY2=VALUE2,...
    the dimensions of the metric to add data points to

-t YYYY-MM-DDThh:mm:ssZ, --timestamp YYYY-MM-DDThh:mm:ssZ
    timestamp of the data point

-u UNIT, --unit UNIT
    unit the metric is being reported in

--show-empty-fields
    show empty values as "(nil)"

--region USER@REGION
    name of the region and/or user in config files to use to connect to the service

-U URL, --url URL
    instance monitoring service endpoint URL

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit